aboutsummaryrefslogtreecommitdiff
path: root/network
diff options
context:
space:
mode:
authorDimitris Zlatanidis <dslackw@gmail.com>2023-11-20 09:49:42 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2023-11-20 10:35:36 +0700
commit94577d7a328b3b6a0b0063f22ac0457b46b80f4e (patch)
tree57cb2d8fcb82192680c4343157a4bb9abaeb8cbc /network
parent86cea36e48dfc93ddcaea04a27925e6341431f2c (diff)
network/awscli-v2: Added (AWS CLI).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/awscli-v2/README11
-rw-r--r--network/awscli-v2/awscli-v2.SlackBuild100
-rw-r--r--network/awscli-v2/awscli-v2.info10
-rw-r--r--network/awscli-v2/slack-desc19
4 files changed, 140 insertions, 0 deletions
diff --git a/network/awscli-v2/README b/network/awscli-v2/README
new file mode 100644
index 000000000000..17ff6181cdf2
--- /dev/null
+++ b/network/awscli-v2/README
@@ -0,0 +1,11 @@
+The AWS Command Line Interface (AWS CLI) is a unified tool to
+manage your AWS services. With just one tool to download and
+configure, you can control multiple AWS services from the command
+line and automate them through scripts.
+
+The AWS CLI v2 offers several new features including improved
+installers, new configuration options such as AWS IAM Identity
+Center (successor to AWS SSO), and various interactive features.
+
+Note: AWS CLI v2 builds on AWS CLI v1 and includes a number of
+features and enhancements based on community feedback.
diff --git a/network/awscli-v2/awscli-v2.SlackBuild b/network/awscli-v2/awscli-v2.SlackBuild
new file mode 100644
index 000000000000..faa5c92ffc52
--- /dev/null
+++ b/network/awscli-v2/awscli-v2.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/bash
+
+# Slackware build script for awscli-v2
+
+# Copyright 2023 Dimitris Zlatanidis Greece, Orestiada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=awscli-v2
+SRCNAM=aws-cli
+VERSION=${VERSION:-2.13.37}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+python3 -m build --wheel --no-isolation --skip-dependency-check
+python3 -m installer --destdir "$PKG" dist/*.whl
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE.txt README.rst CHANGELOG.rst $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/awscli-v2/awscli-v2.info b/network/awscli-v2/awscli-v2.info
new file mode 100644
index 000000000000..c1cfb20a1662
--- /dev/null
+++ b/network/awscli-v2/awscli-v2.info
@@ -0,0 +1,10 @@
+PRGNAM="awscli-v2"
+VERSION="2.13.37"
+HOMEPAGE="https://aws.amazon.com/cli/"
+DOWNLOAD="https://github.com/aws/aws-cli/archive/2.13.37/aws-cli-2.13.37.tar.gz"
+MD5SUM="96f9514280c8b15575a8469cc5dba6f7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="python3-build awscrt colorama cryptography python3-ruamel.yaml python3-ruamel.yaml.clib python3-prompt_toolkit python3-dateutil jmespath"
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="dslackw@gmail.com"
diff --git a/network/awscli-v2/slack-desc b/network/awscli-v2/slack-desc
new file mode 100644
index 000000000000..9a6a6c7e0c95
--- /dev/null
+++ b/network/awscli-v2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+awscli-v2: awscli-v2 (CLI to Amazon Web Services)
+awscli-v2:
+awscli-v2: The AWS Command Line Interface (AWS CLI) is a unified tool to manage
+awscli-v2: your AWS services. With just one tool to download and configure, you
+awscli-v2: can control multiple AWS services from the command line and automate
+awscli-v2: them through scripts.
+awscli-v2:
+awscli-v2: Homepage: https://aws.amazon.com/cli/
+awscli-v2:
+awscli-v2:
+awscli-v2: